<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Tools/SewingKit.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d3f/_sewing_kit_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">SewingKit.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d3f/_sewing_kit_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d7c/class_sewing_kit.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d7c/class_sewing_kit.html">SewingKit</a>: <a class="code hl_class" href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d7c/class_sewing_kit.html#a2addb1bf2a4914f12170af2ba7142d28">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7c/class_sewing_kit.html#a2addb1bf2a4914f12170af2ba7142d28">SetActions</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.SetActions();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/dff/class_action_repair_tent.html">ActionRepairTent</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dc/d92/class_action_repair_shelter.html">ActionRepairShelter</a>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d0b/class_action_sew_target.html">ActionSewTarget</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d9/d72/class_action_sew_self.html">ActionSewSelf</a>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d7c/class_sewing_kit.html#aed32956ec52227c1c3170f4e8b9f15b7">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../df/d7c/class_sewing_kit.html#aed32956ec52227c1c3170f4e8b9f15b7">GetInfectionChance</a>(<span class="keywordtype">int</span> system = 0, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> param = null)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../df/d2e/_item_base_8c.html#a418ca81329eac3ed3844bc965b3a7b2c">m_Cleanness</a> == 1)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">return</span> 0.3;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../df/d7c/class_sewing_kit.html#a86d87bea692132358650a719c2520b35">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_sewing_kit.html#a86d87bea692132358650a719c2520b35">CanBeDisinfected</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../df/d7c/class_sewing_kit.html#a722e7ede9f6e6e6f0fbe7234a946dacd">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7c/class_sewing_kit.html#a722e7ede9f6e6e6f0fbe7234a946dacd">OnCombine</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> other_item)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../df/d2e/_item_base_8c.html#a418ca81329eac3ed3844bc965b3a7b2c">m_Cleanness</a> == 1 &amp;&amp; other_item.m_Cleanness == 0)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ab82519c6ca1144395dd67bab04b91c1b">SetCleanness</a>(0);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>};</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a418ca81329eac3ed3844bc965b3a7b2c"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a418ca81329eac3ed3844bc965b3a7b2c">m_Cleanness</a></div><div class="ttdeci">int m_Cleanness</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l04775">ItemBase.c:4775</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ab82519c6ca1144395dd67bab04b91c1b"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ab82519c6ca1144395dd67bab04b91c1b">SetCleanness</a></div><div class="ttdeci">void SetCleanness(int value, bool allow_client=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08542">ItemBase.c:8542</a></div></div>
<div class="ttc" id="aclass_action_repair_shelter_html"><div class="ttname"><a href="../../dc/d92/class_action_repair_shelter.html">ActionRepairShelter</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d29/_action_repair_shelter_8c_source.html#l00002">ActionRepairShelter.c:3</a></div></div>
<div class="ttc" id="aclass_action_repair_tent_html"><div class="ttname"><a href="../../da/dff/class_action_repair_tent.html">ActionRepairTent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9c/_action_repair_tent_8c_source.html#l00019">ActionRepairTent.c:20</a></div></div>
<div class="ttc" id="aclass_action_sew_self_html"><div class="ttname"><a href="../../d9/d72/class_action_sew_self.html">ActionSewSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dc0/_action_sew_self_8c_source.html#l00009">ActionSewSelf.c:10</a></div></div>
<div class="ttc" id="aclass_action_sew_target_html"><div class="ttname"><a href="../../d4/d0b/class_action_sew_target.html">ActionSewTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/da9/_action_sew_target_8c_source.html#l00009">ActionSewTarget.c:10</a></div></div>
<div class="ttc" id="aclass_inventory___base_html"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/daf/_barbed_baseball_bat_8c_source.html#l00001">BarbedBaseballBat.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_sewing_kit_html"><div class="ttname"><a href="../../df/d7c/class_sewing_kit.html">SewingKit</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3f/_sewing_kit_8c_source.html#l00001">SewingKit.c:2</a></div></div>
<div class="ttc" id="aclass_sewing_kit_html_a2addb1bf2a4914f12170af2ba7142d28"><div class="ttname"><a href="../../df/d7c/class_sewing_kit.html#a2addb1bf2a4914f12170af2ba7142d28">SewingKit::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3f/_sewing_kit_8c_source.html#l00003">SewingKit.c:3</a></div></div>
<div class="ttc" id="aclass_sewing_kit_html_a722e7ede9f6e6e6f0fbe7234a946dacd"><div class="ttname"><a href="../../df/d7c/class_sewing_kit.html#a722e7ede9f6e6e6f0fbe7234a946dacd">SewingKit::OnCombine</a></div><div class="ttdeci">override void OnCombine(ItemBase other_item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3f/_sewing_kit_8c_source.html#l00031">SewingKit.c:31</a></div></div>
<div class="ttc" id="aclass_sewing_kit_html_a86d87bea692132358650a719c2520b35"><div class="ttname"><a href="../../df/d7c/class_sewing_kit.html#a86d87bea692132358650a719c2520b35">SewingKit::CanBeDisinfected</a></div><div class="ttdeci">override bool CanBeDisinfected()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3f/_sewing_kit_8c_source.html#l00026">SewingKit.c:26</a></div></div>
<div class="ttc" id="aclass_sewing_kit_html_aed32956ec52227c1c3170f4e8b9f15b7"><div class="ttname"><a href="../../df/d7c/class_sewing_kit.html#aed32956ec52227c1c3170f4e8b9f15b7">SewingKit::GetInfectionChance</a></div><div class="ttdeci">override float GetInfectionChance(int system=0, Param param=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3f/_sewing_kit_8c_source.html#l00013">SewingKit.c:13</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_e36a2cddfdd187ac0db92f8d1eafd039.html">Tools</a></li><li class="navelem"><a class="el" href="../../d9/d3f/_sewing_kit_8c.html">SewingKit.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
